%define oname tp_smapi


Name:           kmod-%{oname}-dkms
Summary:        tp_smapi - IBM ThinkPad hardware functions driver
Group:          System/Kernel and hardware
Version:        0.41
Release:        1%{?dist}
License:        GPLv2
URL:            https://github.com/evgeni/tp_smapi
Source0:        %{oname}-master.zip
Patch0: 	tp_smapi.patch
BuildArch:      noarch
Requires:       dkms

%description
ThinkPad laptops include a proprietary interface called SMAPI BIOS
(System Management Application Program Interface) which provides some
hardware control functionality that is not accessible by other means.

This driver exposes some features of the SMAPI BIOS through a sysfs
interface. It is suitable for newer models, on which SMAPI is invoked
through IO port writes. Older models use a different SMAPI interface;
for those, try the "thinkpad" module from the "tpctl" package.

WARNING:
This driver uses undocumented features and direct hardware access.
It thus cannot be guaranteed to work, and may cause arbitrary damage
(especially on models it wasn't tested on).

%files
%{_usrsrc}/%{oname}-%{version}/*

%post
dkms add --rpm_safe_upgrade -m %{oname} -v %{version}  &&
dkms build --rpm_safe_upgrade -m %{oname} -v %{version} -k $kver  &&
dkms install --rpm_safe_upgrade -m %{oname} -v %{version} -k $kver 

/sbin/modprobe %{oname}

%preun
dkms remove --rpm_safe_upgrade -m %{oname} -v %{version} --all 

/sbin/rmmod %{oname}

#--------------------------------------------------------------------
%prep
%setup -qn %{oname}-master
%patch0 -p1
%install
rm -rf %{buildroot}
mkdir -p %{buildroot}/%{_usrsrc}/%{oname}-%{version}
cp *.c %{buildroot}/%{_usrsrc}/%{oname}-%{version}
cp *.h %{buildroot}/%{_usrsrc}/%{oname}-%{version}
sed -i 's/KVER/KERNELRELEASE/g' Makefile
cp Makefile %{buildroot}/%{_usrsrc}/%{oname}-%{version}
cp dkms.conf %{buildroot}/%{_usrsrc}/%{oname}-%{version}/dkms.conf

%changelog
* Fri Mar 01 2013 Johnny Brinsko <tripgod@fuduntu.org> - 0.41-1
- Built for Fuduntu

* Fri Mar 1 2013  Claudio Zumbo <claudiozumbo@gmail.com>
-Added patch for dkms.conf 

* Thu Feb 28 2013 Claudio Zumbo <claudiozumbo@gmail.com>
-fixed preun
added --rpm_safe_upgrade
